import java.io.*;
import java.util.*;
import java.math.BigInteger;

public class Main
{
   public static void main(String[] args) throws IOException {
      Scanner in = new Scanner(new FileReader("D.in"));
      PrintWriter out = new PrintWriter(new FileWriter("D.out"),true);
BigInteger n=in.nextBigInteger();
BigInteger a=in.nextBigInteger();
BigInteger b=in.nextBigInteger();

      out.println((n.add(b)).subtract(a));
      }
}